This phone was updated and bricked. I was able to downgrade, jailbreak, install bsd, and such. I also downgraded the baseband to 3.14.08 and everything seem to be working fine except for "Incorrect SIM" "this iphone must be used with an approved Sim. I can't seem to fix this. Please help. Thank you!